### Signal

# FwupdPlugin Backend::device-added

since: 1.6.1

#### Declaration

    void
    device_added (
      FuBackend* self,
      FuDevice* device,
      gpointer user_data
    )

#### Description [src]

The ::device-added signal is emitted when a device has been added.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.6.1

#### Parameters

`device`

  Type: `FuDevice`

  The `FuDevice`.

  The data is owned by the caller of the function.